package types

import "gitp78su.ipnodns.ru/svi/goarch/lev0/alias"

// IOffset -- интерфейс смещения
type IOffset interface {
	// X -- возвращает смещение X
	X() alias.CoordX
	// Y -- возвращает смещение Y
	Y() alias.CoordY
	// Offset -- возвращает смещение
	Offset() (alias.CoordX, alias.CoordY)
}
